Bug 236655 - net/py-tweepy: Update to 3.7.0 (requires requests-oauthlib/oauthlib updates)
Summary: net/py-tweepy: Update to 3.7.0 (requires requests-oauthlib/oauthlib updates)
Status: Closed Overcome By Events
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kubilay Kocak
URL:
Keywords: needs-qa
Depends on:
Blocks:
 
Reported: 2019-03-20 06:21 UTC by Yuri Victorovich
Modified: 2019-12-31 21:48 UTC (History)
10 users (show)

See Also:
koobs: maintainer-feedback? (stiginge)
koobs: maintainer-feedback? (zi)
koobs: maintainer-feedback? (rm)


Attachments
patch (3.14 KB, patch)
2019-03-20 06:21 UTC, Yuri Victorovich
koobs: maintainer-approval-
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Yuri Victorovich freebsd_committer 2019-03-20 06:21:48 UTC
Created attachment 202996 [details]
patch
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2019-04-20 15:56:08 UTC
Needs RUN_DEPENDS updates, and accordingly, www/requests-oathlib needs an update (tweepy requires >= 0.7.0)
Comment 2 Kubilay Kocak freebsd_committer freebsd_triage 2019-04-20 16:30:49 UTC
Yakception:

tweepy: www/requests-oauthlib > 0.7.0 (port needs update)
requests-oauthlib: security/py-oauthlib > 3.0.0 (port needs update)
oauthlib: breaks API, several dependent ports that need to be QA'd/verified

4 levels deep and going!
Comment 3 Dani 2019-05-07 06:35:34 UTC
Any news here?
Comment 4 Kubilay Kocak freebsd_committer freebsd_triage 2019-05-07 09:43:55 UTC
(In reply to Dani from comment #3)

Further QA as listed in comment still needs to be completed, and needs to be done manually (thoroughly).
Comment 5 Kubilay Kocak freebsd_committer freebsd_triage 2019-05-07 09:45:58 UTC
(In reply to Dani from comment #3)

Is there something specific you need this for?
Comment 6 commit-hook freebsd_committer 2019-05-07 10:04:46 UTC
A commit references this bug:

Author: koobs
Date: Tue May  7 10:03:42 UTC 2019
New revision: 500957
URL: https://svnweb.freebsd.org/changeset/ports/500957

Log:
  devel/py-lazr.restfulclient: Fix pkg-descr WWW URL

  Existing URL pointed to a different package.

  Python packages should use the WWW URL from setup.py unless it's incorrect.

  Identified while QA'ing for #236655

  PR:		236655
  Approved by:	portmgr (blanket: WWW, JFI)

Changes:
  head/devel/py-lazr.restfulclient/pkg-descr
Comment 7 Kubilay Kocak freebsd_committer freebsd_triage 2019-05-07 12:01:34 UTC
Summary of oauthlib 3.0.1 compatibility, blicking update of oauthlib

audio/py-discogs-client: Probably not OK
net/cloud-init: Unsure, Probably not OK
net/cloud-init-azure: Unsure, Probably not OK
www/py-flask-oauthlib: Not OK

CC all oauthlib dependent maintainers: Please review details of your port below, regarding updating of oauthlib to 3.0.1. 

These questions/issues need to be resolved, or oauthlib 3.0.0 compatibility confirmed. 

audio/py-discogs-client: Probably not OK  (cc stiginge pvv org)

	Port is 2.2.1, Upstream 2.2.2
	setup.py: 'oauthlib'
	Travis CI is testing with pinned oauthlib==0.7.2

devel/py-lazr.restfulclient: Probably OK (cc fullermd over-yonder net)

	tests using oauthlib 3.0.1 (via setup.py test fetched from pypi) seem to pass:
	Ran 46 tests in 0.072s FAILED (errors=1)

net/cloud-init: Unsure, Probably not OK (cc zi@)

	tox.ini, testing with oauthlib 0.6.0, 1.0.2, 2.0.1, not 3.x (all == pinned)
	Cant find public CI anywhere

	# This one is currently only used by the MAAS datasource. If that
	# datasource is removed, this is no longer needed
	oauthlib

net/cloud-init-azure: Unsure, Probably not OK (cc honzhan@microsoft.com)

	Same as cloud-init, but specific older version (0.7.9)

security/py-keystone: Probably OK (cc alexander.nusov nfvexpress com)

	Port is: 13.0.0, Upstream (PyPI) is: 15.0.0

	requirements.txt: oauthlib>=0.6.2 # BSD

www/py-flask-oauthlib: Not OK (cc rm@FreeBSD.org)

	Port: 0.9.5 Upstream: 0.9.5

	'oauthlib>=1.1.2,!=2.0.3,!=2.0.4,!=2.0.5,<3.0.0',
	'requests-oauthlib>=0.6.2,<1.2.0',
		
	Issue: Any chance to support oauthlib > 3.0.0 and requests-oauthlib > 1.2.0
	https://github.com/lepture/flask-oauthlib/issues/393

	Conflicts with requests-oauthlib > 0.6.2 (like 1.2.0), as that requires
	oauthlib >= 3.0.0, see:

	https://github.com/lepture/flask-oauthlib/issues/390
	https://github.com/lepture/flask-oauthlib/pull/388

www/py-mwoauth: Probably OK (cc yuri@FreeBSD.org)

	Port: 0.3.3 Upstream: 0.3.3 (no git tag for it though)
	Cant find Travis CI builds or tests to run.

	setup.py:'oauthlib',
	requirements.txt (used by tox.ini) requests-oauthlib == 1.2.0

	https://github.com/mediawiki-utilities/python-mwoauth/pull/29
	Seems requests-oauthlib 1.2.0 (and oauthlib 3.0.0) is ok
Comment 8 Rene Ladan freebsd_committer 2019-12-31 21:48:05 UTC
Since this port is broken since March 2019 and has seen no activity since May, I'm deleting it as it has been expired since September.